Retrieve an export
curl --request GET \
--url https://api.twinbay.ai/environments/{environment_id}/exports/{export_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.twinbay.ai/environments/{environment_id}/exports/{export_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.twinbay.ai/environments/{environment_id}/exports/{export_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"slice": {
"environment_twin_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"occurred_from": "2023-11-07T05:31:56Z",
"occurred_until": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"failure": "<string>",
"completed_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}environments
Retrieve an export
GET
/
environments
/
{environment_id}
/
exports
/
{export_id}
Retrieve an export
Authorizations
Access tokenOrganization API key
Access token issued by WorkOS AuthKit.
Response
Successful Response
pending, running, ready or failed
The traffic this export was asked for.
Show child attributes
Show child attributes
Why generation failed, if it did.